ALAS2NITRO-ENCLAVES-2021-010


Amazon Linux 2 Security Advisory: ALASNITRO-ENCLAVES-2021-010
Advisory Release Date: 2021-10-19 20:45 Pacific
Advisory Updated Date: 2021-11-18 21:38 Pacific
Severity: Medium
References: CVE-2021-32760 

Issue Overview:

A flaw was found in containerd where pulling and extracting a specially-crafted container image can result in Unix file permission changes for existing files in the host's filesystem. Changes to file permissions can deny access to the expected owner of the file, widen access to others, or set extended bits like setuid, setgid, and sticky. This bug does not directly allow files to be read, modified, or executed without an additional cooperating process. (CVE-2021-32760)


Affected Packages:

containerd


Issue Correction:
Run yum update containerd to update your system.

New Packages:
aarch64:
    containerd-1.4.6-2.amzn2.aarch64
    containerd-stress-1.4.6-2.amzn2.aarch64
    containerd-debuginfo-1.4.6-2.amzn2.aarch64

src:
    containerd-1.4.6-2.amzn2.src

x86_64:
    containerd-1.4.6-2.amzn2.x86_64
    containerd-stress-1.4.6-2.amzn2.x86_64
    containerd-debuginfo-1.4.6-2.amzn2.x86_64